Subject: Re: GSOC idea: build in scripts and cleanups

From: Robert David <[email-masked]>
Date: Wed, 30 Mar 2011 23:17:17 +0200

Dne středa 30 března 2011 17:39:12 Thomas Rast napsal(a):
> Jeff King wrote:
> > On Mon, Mar 28, 2011 at 10:55:22AM +0200, Robert David wrote:
> > > > As far as cleanup versus features, I think Thomas would have to
> > > > comment on that. He is the one who did the most work on patch-mode,
> > > > and therefore the one who most thinks it needs cleaned up. :)
> > > 
> > > Is Thomas going to be a mentor in this task?
> > 
> > I hope so. I can also co-mentor if it helps.
> 
> I'm certainly ready; I didn't propose any projects that I would not
> also mentor.  (However, I won't mentor more than one...)

Thank you for your attention.

> 
> Note that while it's certainly a bonus, porting it to C probably makes
> the project more difficult and time-consuming.  We'll have to see in
> the proposal timelines however.

It is not a big problem to me. I plan to begin full time work on this in half 
June.
Before that I plan some cleanups and fixes to simplify the upcoming porting.

> 
> As for cleanup, my gut feeling right now is that the Perl code can
> probably cope with incremental cleanups as required for each feature.
> On the other hand, the C port should start from a clean redesign so as
> to not rewrite it twice.

I agree that porting to C should be done from scratch. Thats why I would clean 
and extend the script first to make a "preview". Than when it will comply 
with requirements, I will port that from scratch to C.

Robert